from tests.test_resources.helper import days_in_the_past
import tests.test_resources.concept_ids.concept_ids_geo as geo

all_params = [
    {},
    {'q': 'C#', },
    {'q': 'c-körkort', },
    {'q': '.net', },
    {'q': 'ci/cd', },
    {'q': 'erp-system', },
    {'q': 'tcp/ip', },
    {'q': 'cad-verktyg', },
    {'q': 'backend-utvecklare', },
    {'q': 'it-tekniker', },
    {'q': 'sjuksköterska', },
    {'q': 'sjuksköterskor', },
    {'q': 'körkort', },
    {'q': 'distributör', },
    {'q': 'livsmedel', },
    {'q': 'sköterska', },
    {'q': 'undersköterska', },
    {'q': 'brandman', },
    {'q': 'lärarutbildning', },
    {'q': 'datasystem', },
    {'q': 'undervisning', },
    {'q': 'försäkring', },
    {'q': 'barnmorska', },
    {'q': 'tandsköterska', },
    {'q': 'kock', },
    {'q': 'stockholm', },
    {'q': 'göteborg', },
    {'q': 'malmö', },
    {'q': 'uppsala', },
    {'q': 'utvecklare', },
    {'q': 'pizzabagare', },
    {'q': 'personlig assistent', },
    {'q': 'målare', },
    {'q': 'förskollärare', },
    {'q': 'python', },
    {'q': 'java', },
    {'q': 'helsingborg', },
    {'q': 'barnmorska tandsköterska', },
    {'q': 'tandsköterska barnmorska', },
    {'q': 'barnmorska fysioterapeut', },
    {'q': 'chefsbarnmorska fysioterapeut', },
    {'q': 'chefsbarnmorska barnmorska', },
    {'q': 'developer engineer', },
    {'q': 'python', },
    {'q': 'java', },
    {'q': 'java -javautvecklare', },
    {'q': 'java python', },
    {'q': 'java +python', },
    {'q': 'java -python', },
    {'q': 'kock -bagare', },
    {'q': 'pizzabagare', },
    {'q': 'bartender', },
    {'q': 'målare', },
    {'q': 'målare stockholm', },
    {'q': 'målare +stockholm', },
    {'q': 'målare -stockholm', },
    {'q': 'personlig assistent', },
    {'q': 'personlig assistent +göteborg', },
    {'q': 'personlig assistent -göteborg', },
    {'q': 'utvecklare', },
    {'q': 'förskollärare', },
    {'q': 'sjuksköterska', },
    {'q': 'sjuksköterska -stockholm', },
    {'municipality': ['AvNB_uwa_6n6', 'oYPt_yRA_Smm'], },
    {'municipality': 'AvNB_uwa_6n6', },
    {'municipality': 'oYPt_yRA_Smm', },
    {'municipality': 'PVZL_BQT_XtL', },
    {'municipality': 'QiGt_BLu_amP', },
    {'municipality': 'PVZL_BQT_XtL', 'region': 'CifL_Rzy_Mku', },
    {'municipality': 'PVZL_BQT_XtL', 'region': 'CifL_Rzy_Mku', 'country': 'QJgN_Zge_BzJ', },
    {'municipality': 'PVZL_BQT_XtL', 'region': 'CifL_Rzy_Mku', 'country': 'i46j_HmG_v64', },
    {'region': 'g5Tt_CAV_zBd', },
    {'region': 'CaRE_1nn_cSU', },
    {'region': 'CifL_Rzy_Mku', },
    {'country': 'i46j_HmG_v64', },
    {'country': 'QJgN_Zge_BzJ', },
    {'occupation-group': '7XXd_4St_nit', },
    {'occupation-group': '5dxv_nVQ_N8o', },
    {'occupation-group': 'BStc_SJh_DKG', },
    {'occupation-group': 'Z8ci_bBE_tmx', },
    {'occupation-field': 'VuuL_7CH_adj', },
    {'occupation-field': 'ScKy_FHB_7wT', },
    {'occupation-field': 'ASGV_zcE_bWf', },
    {'occupation-field': '9puE_nYg_crq', },
    {'q': 'lärare', 'published-after': days_in_the_past(720), 'limit': 0},
    {'q': 'lärare', 'published-after': days_in_the_past(30), 'limit': 0},
    {'q': 'lärare', 'published-after': days_in_the_past(10), 'limit': 0},
    {'q': 'lärare', 'published-after': days_in_the_past(7), 'limit': 0},
    {'q': 'lärare', 'published-after': days_in_the_past(5), 'limit': 0},
    {'q': 'Kundtjänstmedarbetare', 'limit': 0, 'sort': 'pubdate-asc'},
    {'q': 'Kundtjänstmedarbetare', 'limit': 0, 'sort': 'pubdate-desc'},

    {'q': 'lärare', 'published-after': days_in_the_past(720), 'country': 'i46j_HmG_v64', 'sort': 'pubdate-asc',
     'limit': 0},
    {'q': 'lärare', 'region': [geo.stockholms_lan, geo.skane_lan], 'limit': 0},
    {'q': 'lärare', 'region': geo.stockholms_lan, 'limit': 0},
    {'q': 'lärare', 'region': geo.skane_lan, 'limit': 0},
    {'q': 'lärare', 'municipality': geo.vasteras, 'limit': 0},
    {'q': 'lärare', 'municipality': geo.linkoping, 'limit': 0},
]
